﻿Imports System.Data
Imports Syncfusion.XlsIO
Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub btnCreateExcel_Click(sender As Object, e As EventArgs) Handles btnCreateExcel.Click
        Dim fileName = Guid.NewGuid().ToString() & ".xlsx"
        Dim excelEngine = New ExcelEngine()
        Dim application As IApplication = excelEngine.Excel
        application.DefaultVersion = ExcelVersion.Excel2007
        Dim workbook As IWorkbook = application.Workbooks.Create(1)
        workbook.ThrowOnUnknownNames = False
        workbook.Version = ExcelVersion.Excel2007
        Dim worksheet As IWorksheet = workbook.Worksheets(0)
        Dim dtExport As New DataTable
        dtExport.Columns.Add("NoPrintable")
        dtExport.Rows.Add(Chr(6))
        dtExport.Rows.Add(Chr(24))


        worksheet.ImportDataTable(dtExport, True, 1, 1, True)
        workbook.SaveAs(Server.MapPath("~/Temp") & "/" & fileName)
        'Close the workbook.
        workbook.Close()
        excelEngine.Dispose()
    End Sub
End Class
